Chuyển đến nội dung
Diễn đàn CADViet

cuongtk2

Thành viên
  • Số lượng nội dung

    386
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    25

Cộng đồng

114 (tàm tạm)

1 Người theo dõi

About cuongtk2

  • Cấp bậc
    biết dimstyle

Khách truy cập Tiểu sử gần đây

5.723 chế độ xem tiểu sử
  1. cuongtk2

    Lỗi lisp thực hiện lệnh command "_Pline"

    lỗi bắt điểm đấy, zoom lên có thể osmode sẽ không bắt trúng nên có thể không bị
  2. cuongtk2

    Cần lisp chuyển đổi line

    Dùng linetype đi em
  3. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    https://spiderinnet1.typepad.com/blog/2014/10/autocad-net-vbnet-transaction-and-performance.html
  4. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    Nguyên solution đây nhé AutoCAD20211.rar
  5. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    Viết theo kiểu đề phòng thiếu hả?
  6. cuongtk2

    Tạo 1 ứng dụng AutoCAD .NET với MS Visual C#

    @gia_bachDùng thừa Transaction vòng ngoài rồi
  7. cuongtk2

    Lập trinh bằng C# cho autocad. Thank mọi người

    Viết thì dễ nhưng bạn diễn đạt không rõ ràng. Mục tiêu của bạn bà dim 2 đoạn thẳng tạo mới hay có sẵn.
  8. cuongtk2

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    Trước mình cũng viết 1 tool hộ thằng em về khối lượng nút giao bằng net, chỉ xử lý phần tạo boundary cho các thành phần phía trong ranh vỉa hè.
  9. cuongtk2

    [ Yêu cầu Lisp Tạo Point Tâm miền kín]

    Để làm gì thế
  10. Mình sửa lại cho bạn đây nhé, trước vì không test kỹ nên bị như thế, vì biến toàn cục. (defun c:test (/ ENT EXPORTFILE FILE FILE1 P1 PATH SS) (setq ss (ACET-SS-TO-LIST (ssget "x" '((0 . "*TEXT"))))) (setq path (acet-ui-pickdir "Select directory" (getvar "dwgprefix"))) (foreach n ss (progn (setq ent (entget n) p1 (acet-dxf 10 ent) file (acet-dxf 1 ent) ) (vl-cmdf "-boundary" p1 "") (setq exportFile (strcat path "\\" (VL-STRING-TRIM " " file))) (command "_.dxfout" exportFile "_entities" (entlast) "" "_version" "2007" 6 ) (entdel (entlast)) ) ) )
  11. cuongtk2

    Chỉ giúp cách in ghép 2 mặt khổ giấy A4

    in ghep 2 mặt.dwg
  12. Xuất ra các chi tiết thành dxf file bằng cách tạo boundary tại mỗi text position (defun c:test () (setq ss (ACET-SS-TO-LIST (ssget "x" '((0 . "TEXT"))))) (foreach n ss (progn (setq ent (entget n) p1 (acet-dxf 10 ent) file (acet-dxf 1 ent) ) (vl-cmdf "-boundary" p1 "") (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq file1 (VL-STRING-TRIM " " file)) (setq path (acet-ui-pickdir "Select directory" (getvar "dwgprefix"))) (setq exportFile (strcat path "\\" file1)) ;; Adjust path to match your system ;; Create an empty selection set (setq sset (vla-Add (vla-get-SelectionSets doc) "TEST")) (vla-Select sset acSelectionSetLast) ;; Export the current drawing to the file specified above. (vla-Export doc exportFile "DXF" sset) (vla-Delete sset) ) ) )
  13. Cái khó nhất là nesting tôn thì có phần mềm chuyên dụng rồi, chỉ cần là làm đầu vào cho phần mềm đó thôi. Như vậy với từng hình rời rạc hoàn toàn có thể vẽ thành riêng biệt bản vẽ trùng tên với text. Lúc đó mới có thể xét đến lỗ cắt khoét
  14. cuongtk2

    Lisp thông kê danh mục bản vẽ

    (- CNT 1) hình như đổi sang string mới được
  15. cuongtk2

    Xin Hỏi về làm đồng phẳng các grip theo trục 0x và 0y

    mô tả cách thực hiện: - đặt 1 điểm p1 làm nơi xác định giá trị X, lấy giá trị p1.X. - dùng 2 điểm p2, p3 để xác định 1 crossing window cho selection - tạo một Extens3d rồi add các điểm p2 p3 vào. Extens này dùng để xác định point_inside cho các vertext của curve - dùng vòng for để duyệt vertex của cuvre, nếu inside p2 p3 thì thay đổi giá trị X cho point đó (với Polyline) - tương tự startpoint, entpoint với Line myCommands.cs.txt
×